import UIKit

class BaseChatViewControllerWithDataSource: BaseChatViewController, UITableViewDataSource, ConversationLogDelegate {
    private(set) var dataSource: ChatViewDataSource!

    override var conversationLogController: ConversationLogController? {
        didSet {
            dataSource = conversationLogController?.dataSource
            conversationLogController?.conversationLogDelegate = self
        }
    }

    func numberOfSections(in tableView: UITableView) -> Int {
        return 1
    }

    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return dataSource.count
    }

    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        return UITableViewCell()
    }

    func initialize(tableView: UITableView) {
        tableView.dataSource = self
    }
}
